/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean;

import olg.csv.base.Row;

/**
 * In writing process, products rows from beans.
 * 
 * @author Olivier Godineau
 * 
 * @param <B>
 *            dedicated bean the processor deals with.
 */
public interface IRowProcessor<B> {

	/**
	 * Returns a new Row from a bean.
	 * 
	 * @param bean
	 *            the bean.
	 * @return a new row.
	 */
	Row transform(B bean);

	/**
	 * Returns an headers row.
	 * 
	 * @return headers
	 */
	Row getHeaders();

}