/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.loader;

/**
 * Exception thrown during loading from XML file.
 * 
 * @author Olivier Godineau
 * 
 */
public class LoadException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * Constructs a new load exception with <code>null</code> as its detail
	 * message.
	 */
	public LoadException() {
		super();

	}
	/**
	 * Constructs a new load exception with the specified detail message.
	 * 
	 * @param message
	 *            the detail message.
	 */
	public LoadException(String message) {
		super(message);

	}

	/**
	 * Constructs a new load exception with the specified cause and a detail
	 * message of <tt>(cause==null ? null : cause.toString())</tt>.
	 * 
	 * @param cause
	 *            the cause (which is saved for later retrieval by the
	 *            {@link #getCause()} method).
	 */
	public LoadException(Throwable cause) {
		super(cause);

	}
	/**
	 * Constructs a new load exception with the specified detail message and
	 * cause.
	 * 
	 * @param message
	 *            the detail message.
	 * @param cause
	 *            the cause.
	 */
	public LoadException(String message, Throwable cause) {
		super(message, cause);

	}

}
