package olg.csv.bean.annotations.sample;

import java.io.File;
import java.io.IOException;
import java.io.PrintStream;

import olg.csv.bean.RowBean;
import olg.csv.bean.annotations.processor.AnnotationProcessorException;
import olg.csv.bean.sample.model.ModelSample;
import olg.csv.bean.sample.model.Person;
/**
 * Sample CSV Reading with RowBean.toFile method use and annotations use.
 * 
 * @author Olivier Godineau
 * 
 */
public class ExportPerson {
	private static String OUT_FILE = "ExportedPerson.csv";
	/**
	 * Try to write some persons into a CSV file. <li>export persons into csv
	 * file by using of writedCfg.xml configuration(bean-writer configuration,
	 * only for writing exposed in resources package )</li> </ul>
	 * 
	 * @param args
	 *            an output directory path may be specified where to create file
	 */
	public static void main(String[] args) {
		PrintStream out = System.out;
		String directory = null;
		if (args.length > 0) {
			directory = args[0];
		}

		File outFile = new File(directory, OUT_FILE);

		out.println("CSV EXPORT ");
		out.println("Out file :" + outFile.getAbsolutePath());

		// The really stuff begins now
		try {

			RowBean<Person> rowBean = new RowBean<Person>(Person.class);
			rowBean.toFile(ModelSample.samples(), outFile);
			out.println("See " + outFile.getAbsolutePath());
		} catch (IOException e) {
			e.printStackTrace();
		} catch (AnnotationProcessorException e) {

			e.printStackTrace();
		}

	}
}
