/*
 * Copyright 2014 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotations.sample;

import java.io.File;
import java.io.IOException;
import java.util.List;

import olg.csv.bean.RowBean;
import olg.csv.bean.annotations.processor.AnnotationProcessorException;
import olg.csv.bean.sample.model.Person;

/**
 * Sample CSV Reading with RowBean.fromFile method use and annotations use.
 * 
 * @author Olivier Godineau
 * 
 */
public class ImportPerson {
	/**
	 * the file to read.
	 */
	private final static File IN_FILE = new File(ImportPerson.class.getResource("ImportPerson.csv").getFile());

	public static void main(String[] args) {

		RowBean<Person> rowBean = new RowBean<Person>(Person.class);
		List<Person> persons;
		try {
			System.out.println(String.format("New created Persons from file[%s] :", IN_FILE));
			persons = rowBean.fromFile(IN_FILE);
			for (Person person : persons) {
				System.out.println(person.toString());
			}
		} catch (AnnotationProcessorException e) {

			e.printStackTrace();
		} catch (IOException e) {

			e.printStackTrace();
		}

	}
}
