/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.sample;

import java.io.PrintStream;

import olg.csv.bean.BeanWriter;
import olg.csv.bean.PropertyException;
import olg.csv.bean.sample.model.ModelSample;
import olg.csv.bean.sample.model.Person;

/**
 * For sample. Exports some persons into CSV and ODS file.
 * 
 * @author Olivier Godineau
 * 
 * @see Person
 */
public class ExportPerson {

	private BeanWriter<Person> oWriter = null;

	/**
	 * display on the Printstream parameter the course of export
	 * 
	 * @param out
	 */
	public void display(PrintStream out) {
		try {
			out.println("I'm filling your file ...");

			Person person = ModelSample.getHolmes();
			try {
				oWriter.write(person);
			} catch (PropertyException ex) {
				out.println("Something went wrong with " + person);
				ex.printStackTrace();
			}
			person = ModelSample.getLupin();

			try {
				oWriter.write(person);
			} catch (PropertyException ex) {
				out.println("Something went wrong with " + person);

				ex.printStackTrace();
			}

			person = ModelSample.getPoirot();
			try {
				oWriter.write(person);
			} catch (PropertyException ex) {
				out.println("Something goes wrong with " + person);

				ex.printStackTrace();
			}
			out.println("Ok it's done");
		} finally {// Some WriterException may occur we haven't catched
			oWriter.close();
		}
	}

	public ExportPerson(BeanWriter<Person> oWriter) {
		super();
		this.oWriter = oWriter;
	}

}
