/*
 * Copyright 2014 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.sample.model;

import olg.csv.bean.annotations.CSVProperty;
import olg.csv.bean.annotations.Column;
import olg.csv.bean.annotations.Param;
import olg.csv.bean.annotations.RowBean;

/**
 * For sample. mail Address
 * 
 * @author Olivier Godineau
 * 
 */
@RowBean(CSVReadingParams = {

@Param(name = CSVProperty.HEADERS, value = "true"),

@Param(name = CSVProperty.CHARSETNAME, value = "UTF-8")

})
public class Address {
	/**
	 * Number Extension
	 * 
	 * @author Olivier Godineau
	 * 
	 */
	public static enum Extension {
		A, B, C, D;
	}
	@Column(name = "Ext", value = "A")
	private Extension extension = null;
	@Column(name = "Number", value = "B")
	private int numero;
	@Column(name = "Street name", value = "C")
	private String streetName = null;
	@Column(name = "Postal Code", value = "D")
	private String postalCode = null;
	@Column(name = "City", value = "E")
	private String city = null;

	public Extension getExtension() {
		return extension;
	}

	public void setExtension(Extension extension) {
		this.extension = extension;
	}

	public int getNumero() {
		return numero;
	}

	public void setNumero(int numero) {
		this.numero = numero;
	}

	public String getStreetName() {
		return streetName;
	}

	public void setStreetName(String streetName) {
		this.streetName = streetName;
	}

	public String getPostalCode() {
		return postalCode;
	}

	public void setPostalCode(String postalCode) {
		this.postalCode = postalCode;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String toString() { // NOPMD by olivier on 07/02/12 19:29
		StringBuilder sBuf = new StringBuilder(); // NOPMD by olivier on
													// 07/02/12 19:29
		sBuf.append(numero).append((extension != null ? extension.toString() : "")).append(", ")
				.append((streetName != null ? streetName : ""));
		sBuf.append(" ").append((city != null ? city : "")).append(" ").append((postalCode != null ? postalCode : ""));
		return sBuf.toString();

	}
}
