/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotations.processor;
/**
 * Exception thrown on annotation processing.
 * 
 * @author Olivier Godineau
 * 
 */
public class AnnotationProcessorException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5581754276159942642L;

	/**
	 * Constructs a new exception with <code>null</code> as its detail message.
	 */
	public AnnotationProcessorException() {
		super();

	}
	/**
	 * Constructs a new exception with the specified detail message and cause.
	 * 
	 * @param message
	 *            the detail message
	 * @param cause
	 *            the cause (which is saved for later retrieval by the
	 *            {@link #getCause()} method).
	 */
	public AnnotationProcessorException(String message, Throwable cause) {
		super(message, cause);

	}
	/**
	 * Constructs a new exception with the specified detail message.
	 * 
	 * @param message
	 *            the detail message.
	 */
	public AnnotationProcessorException(String message) {
		super(message);

	}

	/**
	 * Constructs a new exception with the specified cause.
	 * 
	 * @param cause
	 *            the cause (which is saved for later retrieval by the
	 *            {@link #getCause()} method).
	 */
	public AnnotationProcessorException(Throwable cause) {
		super(cause);

	}

}
