/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;

import olg.csv.bean.annotations.Column;
import olg.csv.bean.annotations.Parser;

public class TestColumnProcessorBean extends TestColumnProcessorParentBean {

	@Column(value = "C", name = "Bean")
	@Parser(value = TestBeanParser.class)
	private TestBean bean;

	@Column(value = "10", name = "Bean2")
	@Parser(value = TestBeanParser.class)
	private TestBean bean2; // no getter,setter

	@Parser(value = TestBeanParser.class)
	private TestBean bean3; // no column annotation setted

	@Column(value = "cell2")
	// num cell format error
	@Parser(value = TestBeanParser.class)
	private TestBean bean4;
	@Column(value = "20")
	// No parser setted
	private TestBean bean5;
	public TestBean getBean5() {
		return bean5;
	}

	public void setBean5(TestBean bean5) {
		this.bean5 = bean5;
	}

	@Column(value = "0")
	@Parser(value = TestBeanParser.class)
	private TestBean beanA;
	@Column(value = "0")
	@Parser(value = TestBeanParser.class)
	private TestBean beanB;

	@Column(value = "30")
	@Parser(value = IBeanParser.class)
	private IBean iBeanKO;

	@Column(value = "40", concreteClass = ConcreteIBean.class)
	@Parser(value = IBeanParser.class)
	private IBean iBeanOK;

	public IBean getiBeanKO() {
		return iBeanKO;
	}

	public void setiBeanKO(IBean iBeanKO) {
		this.iBeanKO = iBeanKO;
	}

	public IBean getiBeanOK() {
		return iBeanOK;
	}

	public void setiBeanOK(IBean iBeanOK) {
		this.iBeanOK = iBeanOK;
	}

	public TestBean getBean() {
		return bean;
	}

	public void setBean(TestBean bean) {
		this.bean = bean;
	}

	public TestBean getBean3() {
		return bean3;
	}

	public void setBean3(TestBean bean3) {
		this.bean3 = bean3;
	}

	public TestBean getBean4() {
		return bean4;
	}

	public void setBean4(TestBean bean4) {
		this.bean4 = bean4;
	}

	public TestBean getBeanA() {
		return beanA;
	}

	public void setBeanA(TestBean beanA) {
		this.beanA = beanA;
	}

	public TestBean getBeanB() {
		return beanB;
	}

	public void setBeanB(TestBean beanB) {
		this.beanB = beanB;
	}
}
