/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;

import java.util.Date;

import olg.csv.bean.annotations.DateProperty;
import olg.csv.bean.annotations.Formatter;
import olg.csv.bean.annotations.Param;

public class TestFormatterProcessorBean {

	public Date getDate2() {
		return date2;
	}

	public void setDate2(Date date2) {
		this.date2 = date2;
	}

	@Formatter(value = TestBeanFormatter.class, params = {@Param(name = "bool", value = "true"),
			@Param(name = "string", value = "valeur"), @Param(name = "integer", value = "25")})
	private TestBean bean;

	@Formatter(value = TestBeanFormatterKO.class)
	private TestBean bean2;

	private TestBean bean3;

	@Formatter(params = {@Param(name = DateProperty.FORMAT, value = "dd/MM/yyyy"),
			@Param(name = DateProperty.LOCALE, value = "en_CA")})
	private Date date;

	@Formatter(params = {@Param(name = DateProperty.LOCALE, value = "ja_JP")})
	private Date date2;

	public TestBean getBean() {
		return bean;
	}

	public void setBean(TestBean bean) {
		this.bean = bean;
	}

	public TestBean getBean2() {
		return bean2;
	}

	public void setBean2(TestBean bean2) {
		this.bean2 = bean2;
	}

	public TestBean getBean3() {
		return bean3;
	}

	public void setBean3(TestBean bean3) {
		this.bean3 = bean3;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

}
