/*
 * Copyright 2012 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.parser.impl;

import olg.csv.bean.parser.AbstractParser;
import olg.csv.bean.parser.ParseException;

/**
 * Parser dedicated in parsing String into character.
 * 
 * @author Olivier Godineau
 * 
 */
public class CharacterParser extends AbstractParser<Character> {

	@Override
	public Character parse(String str) {
		Character retour = null;
		if (str != null) {
			if (str.trim().length() != 1) {
				throw new ParseException("Parsing char only with argument String as char[" + str + "]");
			}
			retour = str.trim().charAt(0);
		}
		return retour;

	}

	/**
	 * Constructor.
	 */
	public CharacterParser() {
		super();

	}

}